var layouts = ['portrait', 'landscape', 'chibi'];
var layoutCodes = ['PORTRAIT', 'TABLET', 'PHONE'];
var currentLayoutIndex = 0;
var locked = false;

function play(){
	forceSoundDisabled = document.getElementById("forceSoundDisabled").checked;
	location.href = "game-cordova.html?layout="+layoutCodes[currentLayoutIndex]+"&forceSoundDisabled="+forceSoundDisabled;
}

function toogleLayout(){
	if (locked)
		return;
	currentLayoutIndex++;
	currentLayoutIndex = currentLayoutIndex % 3;
	document.getElementById("selectedLayout").src = "img/layout-"+layouts[currentLayoutIndex]+".png";
	if (currentLayoutIndex == 2){
		document.getElementById("warning").innerHTML = 'This layout is only recommended if you have played the game already';
		document.getElementById("warning").style.display = 'block';
	} else {
		document.getElementById("warning").innerHTML = '';
		document.getElementById("warning").style.display = 'none';
	}
}

function load(){
	var game = localStorage.getItem('ananiasGame');
	var currentLayout = localStorage.getItem('selectedLayout');
	if (game && currentLayout){
		switch (currentLayout){
			case 'PORTRAIT':
			currentLayoutIndex = 0;
			break;
			case 'TABLET':
			currentLayoutIndex = 1;
			break;
			case 'PHONE':
			currentLayoutIndex = 2;
			break;
			default:
			currentLayoutIndex = 0;
		}
		document.getElementById("mainMessage").innerHTML = 'A game is already in progress, preselected layout will be preserved.';
		document.getElementById("selectedLayout").src = "img/layout-"+layouts[currentLayoutIndex]+".png";
		locked = true;
	}
}